package ink.wgink.module.form.dao.design;

import ink.wgink.exceptions.RemoveException;
import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.SearchException;
import ink.wgink.exceptions.UpdateException;
import ink.wgink.interfaces.init.IInitBaseTable;
import ink.wgink.module.form.pojo.dtos.design.FormFieldDTO;
import ink.wgink.module.form.pojo.pos.design.FormFieldPO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface IFormFieldDao extends IInitBaseTable {


    void save(Map<String, Object> params) throws SaveException;

    void delete(Map<String, Object> params) throws RemoveException;

    void update(Map<String, Object> params) throws UpdateException;

    FormFieldDTO get(Map<String, Object> params) throws SearchException;

    FormFieldPO getPO(Map<String, Object> params) throws SearchException;

    List<FormFieldDTO> list(Map<String, Object> params) throws SearchException;

    List<FormFieldPO> listPO(Map<String, Object> params) throws SearchException;

    List<String> listFieldName(Map<String, Object> params) throws SearchException;
}
